package com.kingdee.eas.custom.compensation;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.compensation.app.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.DataBase;
import com.kingdee.eas.framework.IDataBase;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class SubmitShemeTemplate extends DataBase implements ISubmitShemeTemplate
{
    public SubmitShemeTemplate()
    {
        super();
        registerInterface(ISubmitShemeTemplate.class, this);
    }
    public SubmitShemeTemplate(Context ctx)
    {
        super(ctx);
        registerInterface(ISubmitShemeTemplate.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("B75118A1");
    }
    private SubmitShemeTemplateController getController() throws BOSException
    {
        return (SubmitShemeTemplateController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public SubmitShemeTemplateInfo getSubmitShemeTemplateInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getSubmitShemeTemplateInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public SubmitShemeTemplateInfo getSubmitShemeTemplateInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getSubmitShemeTemplateInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public SubmitShemeTemplateInfo getSubmitShemeTemplateInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getSubmitShemeTemplateInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public SubmitShemeTemplateCollection getSubmitShemeTemplateCollection() throws BOSException
    {
        try {
            return getController().getSubmitShemeTemplateCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public SubmitShemeTemplateCollection getSubmitShemeTemplateCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getSubmitShemeTemplateCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public SubmitShemeTemplateCollection getSubmitShemeTemplateCollection(String oql) throws BOSException
    {
        try {
            return getController().getSubmitShemeTemplateCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *启用-User defined method
     *@param billID id
     */
    public void enable(String billID) throws BOSException, EASBizException
    {
        try {
            getController().enable(getContext(), billID);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *禁用-User defined method
     *@param billID id
     */
    public void disable(String billID) throws BOSException, EASBizException
    {
        try {
            getController().disable(getContext(), billID);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}